Ubuntu15.04 安装Android开发环境

一、安装Java SE JKD  

A、下载 http://www.oracle.com/technetwork/java/javase/downloads/index.html?ssSourceSiteId=ocomen 选择最新版本,当前最新版本 1.8.0 。下载 jdk-8u45-linux-x64.tar.gz 。

B、解压下载包,添加环境变量。

$ sudo vim ~/.bashrc

  在文件最后加入

export JAVA_HOME=/home/jeremy/jdk1.8.0
export JRE_HOME=${JAVA_HOME}/jre  
export CLASSPATH=.:${JAVA_HOME}/lib:${JRE_HOME}/lib  
export PATH=${JAVA_HOME}/bin:$PATH  

  可能事先安装了Eclipse的愿意,系统中有OpenJDK,所以需要配置默认JDK版本。最好先安装Java SE JDk 再安装Eclipse 。

sudo update-alternatives --install /usr/bin/java java /home/jeremy/jdk1.8.0/bin/java 300  
sudo update-alternatives --install /usr/bin/javac javac /home/jeremy/jdk1.8.0/bin/javac 300  
sudo update-alternatives --install /usr/bin/jar jar /home/jeremy/jdk1.8.0/bin/jar 300   
sudo update-alternatives --install /usr/bin/javah javah /home/jeremy/jdk1.8.0/bin/javah 300   
sudo update-alternatives --install /usr/bin/javap javap /home/jeremy/jdk1.8.0/bin/javap 300 

  然后执行

sudo update-alternatives --config java
sudo update-alternatives --config javc
sudo update-alternatives --config jar
sudo update-alternatives --config javah
sudo update-alternatives --config javap

  根据提示 选择Java SE JDK 版本为默认版本。

  设置后测试是否设置成功。

jeremy@Jeremy-Home-PC:~$ javac -version
Picked up JAVA_TOOL_OPTIONS: -javaagent:/usr/share/java/jayatanaag.jar 
javac 1.8.0_45

二、安装Android SDK,下载地址 http://developer.android.com (需要FQ),下载后解压缩即可。

三、安装Eclipse ,然后添加Android 开发插件 (需要FQ) 

四、安装Genymotion ,官网直接下载安装。

 

Hello程序遇到的问题:

1、报错:[SDK Manager] tools/android: 110: exec: java: Permission denied

  网上解答:在stackoverflow找到了答案,是因为我把android sdk linux版本放在了非挂载分区上.通过 sh./android sdk 即可解决问题。

 

jeremy@Jeremy-Home-PC:~/android-sdks/tools$ sh ./android sdk

 

  

2、报错:

  网上解答:64位的系统需要安装32位版本支持,安装代码如下:

sudo apt-get install -y libc6:i386 libgcc1:i386 libstdc++6:i386 libz1:i386

  

Database error: [Table 'ac_search_cache' is marked as crashed and should be repaired]

SELECT * FROM ac_search_cache WHERE hash = '88b9addfe5261a3020e6769c47b3a9286cb2162d' LIMIT 1;